Class | Rake::FtpUploader
In: | lib/rake/contrib/ftptools.rb
Parent: | Object

Manage the uploading of files to an FTP account.

### Methods

close connect makedirs new upload_files

### Attributes

verbose | [RW] | Log uploads to standard output when true.

### Public Class methods

connect(path, host, account, password) {|up| ...}

Create an uploader and pass it to the given block as `up`. When the block is complete, close the uploader.

new(path, host, account, password)

Create an FTP uploader targetting the directory `path` on `host` using the given account and password. `path` will be the root path of the uploader.

### Public Instance methods

close()

Close the uploader.

makedirs(path)

Create the directory `path` in the uploader root path.

upload_files(wildcard)

Upload all files matching `wildcard` to the uploader‘s root path.

[Validate]